html {
  //font-size: 14px;

  body {
    min-width: 320px !important;
    font-family: 'Roboto Condensed', -apple-system, system-ui, sans-serif, serif;

    #__nuxt, #__layout {
      > .main {
        @apply flex flex-col min-h-screen;
      }
    }

    /** disable blue highlight background when tap on link, button etc. */
    input,
    textarea,
    button,
    select,
    a {
      -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    }

    /** disable search field default styling **/
    input[type="search"]::-webkit-search-decoration,
    input[type="search"]::-webkit-search-cancel-button,
    input[type="search"]::-webkit-search-results-button,
    input[type="search"]::-webkit-search-results-decoration {
      -webkit-appearance:none;
    }

    main {
      @apply text-xl;
      @apply flex-auto;
    }

    .disabled {
      @apply
      opacity-25
      cursor-not-allowed
      pointer-events-none
      select-none
      ;
    }
  }
}
